<?php if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }
/**
 * settings.php - View for the Settings page.
 *
 * @package Calendar Press
 * @subpackage includes
 * @author GrandSlambert
 * @copyright 2009-2010
 * @access public
 */

 /* Flush the rewrite rules */
global $wp_rewrite;
$wp_rewrite->flush_rules();
?>

<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;" class="overDiv"></div>
<div class="wrap">
    <form method="post" action="options.php" id="calendar_press_settings">
        <div class="icon32" id="icon-calendar-press"><br/></div>
        <h2><?php echo $this->pluginName; ?> &raquo; <?php _e('Plugin Settings', 'calendar-press'); ?> </h2>
        <?php settings_fields($this->optionsName); ?>
        <div style="width:49%; float:left">
            <div class="postbox">
                <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                    <?php _e('Event Options', 'calendar-press'); ?>
                </h3>
                <div class="table">
                    <table class="form-table">
                        <tbody>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_signups"><?php _e('Use Signups?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-signups]" id="calendar_press_use_signups" type="checkbox" value="1" <?php checked($this->options['use-signups'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the event signup feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_waiting"><?php _e('Use Waiting lists?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-waiting]" id="calendar_press_use_waiting" type="checkbox" value="1" <?php checked($this->options['use-waiting'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the waiting list feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_overflow"><?php _e('Use Overflow?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-overflow]" id="calendar_press_use_overflow" type="checkbox" value="1" <?php checked($this->options['use-overflow'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the event signup feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_categories"><?php _e('Use Categories?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-categories]" id="calendar_press_use_categories" type="checkbox" value="1" <?php checked($this->options['use-categories'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the event category feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_tags"><?php _e('Use Tags?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-tags]" id="calendar_press_use_tags" type="checkbox" value="1" <?php checked($this->options['use-tags'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the tags feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_thumbnails"><?php _e('Use Thumbnails?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-thumbnails]" id="calendar_press_use_thumbnails" type="checkbox" value="1" <?php checked($this->options['use-thumbnails'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the thumbnails feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_featured"><?php _e('Use Featured?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-featured]" id="calendar_press_use_featured" type="checkbox" value="1" <?php checked($this->options['use-featured'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the featured events feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_comments"><?php _e('Use Comments?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-comments]" id="calendar_press_use_comments" type="checkbox" value="1" <?php checked($this->options['use-comments'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the comments feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_trackbacks"><?php _e('Use Trackbacks?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-trackbacks]" id="calendar_press_use_trackbacks" type="checkbox" value="1" <?php checked($this->options['use-trackbacks'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the trackback feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_custom_fields"><?php _e('Use Custom Fields?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-custom-fields]" id="calendar_press_use_custom_fields" type="checkbox" value="1" <?php checked($this->options['use-custom-fields'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the custom fields feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_revisions"><?php _e('Use Revisions?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-revisions]" id="calendar_press_use_revisions" type="checkbox" value="1" <?php checked($this->options['use-revisions'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the revisions feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row" colspan="4"><?php _e('These two use the built in category and post tags used in standard posts.', 'calendar_press'); ?></th>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_use_post_categories"><?php _e('Use Post Categories?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-post-categories]" id="calendar_press_use_post_categories" type="checkbox" value="1" <?php checked($this->options['use-post-categories'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the post categories feature.', 'calendar-press')); ?>
                                </td>
                                <th scope="row"><label for="calendar_press_use_post_tags"><?php _e('Use Post Tags?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[use-post-tags]" id="calendar_press_use_post_tags" type="checkbox" value="1" <?php checked($this->options['use-post-tags'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the post tags feature.', 'calendar-press')); ?>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="postbox">
                <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                    <?php _e('Display Settings', 'calendar-press'); ?>
                </h3>
                <div class="table">
                    <table class="form-table">
                        <tbody>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_calendar_page"><?php _e('Page to display calendar on', 'calendar-press'); ?></label></th>
                                <td>
                                    <?php wp_dropdown_pages(array('name'=>$this->optionsName.'[calendar-page]', 'show_option_none'=>'No Calendar Display', 'selected'=>$this->options['calendar-page'])); ?>
                                    <?php $this->help(esc_js(__('The page the calendar will be displayed on - <strong>Note</strong>: replaces all existing content.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_user_display_field"><?php _e('User data to display on signups', 'calendar-press'); ?></label></th>
                                <td>
                                    <select id="calendar_press_user_display_field" name="<?php echo $this->optionsName; ?>[user-display-field]">
                                        <option value="full_name" <?php selected($this->options['user-display-field'], 'full_name'); ?>><?php _e('Full Name', 'calendar-press'); ?></option>
                                        <option value="first_name" <?php selected($this->options['user-display-field'], 'first_name'); ?>><?php _e('First Name', 'calendar-press'); ?></option>
                                        <option value="last_name" <?php selected($this->options['user-display-field'], 'last_name'); ?>><?php _e('Last Name', 'calendar-press'); ?></option>
                                        <option value="display_name" <?php selected($this->options['user-display-field'], 'display_name'); ?>><?php _e('Display Name', 'calendar-press'); ?></option>
                                    </select>
                                    <?php $this->help(esc_js(__('The page the calendar will be displayed on - <strong>Note</strong>: replaces all existing content.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_signups_title"><?php _e('Signups Title', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="text" name="<?php echo $this->optionsName; ?>[signups-title]" id="calendar_press_signups_title" value="<?php echo $this->options['signups-title']; ?>" />
                                    <?php $this->help(esc_js(__('Name used for event signups, if active.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_overflow_title"><?php _e('Overflow Titile', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="text" name="<?php echo $this->optionsName; ?>[overflow-title]" id="calendar_press_overflow_title" value="<?php echo $this->options['overflow-title']; ?>" />
                                    <?php $this->help(esc_js(__('Name used for overflow signups, if active.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_waiting_title"><?php _e('Waiting List Title', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="text" name="<?php echo $this->optionsName; ?>[waiting-title]" id="calendar_press_waiting_title" value="<?php echo $this->options['waiting-title']; ?>" />
                                    <?php $this->help(esc_js(__('Name used for the waiting lists.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_default_excerpt_length"><?php _e('Default Excerpt Length', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="text" name="<?php echo $this->optionsName; ?>[default-excerpt-length]" id="calendar_press_default_excerpt_length" value="<?php echo $this->options['default-excerpt-length']; ?>" />
                                    <?php $this->help(esc_js(__('Default length of introduction excerpt when displaying in lists.', 'calendar-press'))); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_custom_css"><?php _e('Use Plugin CSS?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[custom-css]" id="calendar_press_custom_css" type="checkbox" value="1" <?php checked($this->options['custom-css'], 1); ?> />
                                    <?php $this->help(__('Click this option to include the CSS from the plugin.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_box_width"><?php _e('Calendar Box Width?', 'calendar-press'); ?></label></th>
                                <td>
                                    <input name="<?php echo $this->optionsName; ?>[box-width]" id="calendar_press_box_width" type="text" value="<?php echo $this->options['box-width']; ?>" />
                                    <?php $this->help(__('The widget of the date boxes on the calendar page.', 'calendar-press')); ?>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- To be added later
            <div class="postbox">
                <div class="table">
                    <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                        <?php _e('Event Form Settings', 'calendar-press'); ?>
                    </h3>
                    <table class="form-table">
                        <tbody>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_submit_page"><?php _e('User Submit Page', 'calendar-press'); ?></label></th>
                                <td>
                                    <?php wp_dropdown_pages(array('name'=>$this->optionsName . '[submit-page]', 'selected'=>$this->options['submit-page'], 'show_option_none'=>'None')); ?>
                                    <?php $this->help(__('Note: The user form will be added to this page automatically, no code needed.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_submit_location"><?php _e('Where to add the form', 'calendar-press'); ?></label></th>
                                <td>
                                    <select name="<?php echo $this->optionsName; ?>[submit-location]" id="calendar_press_submit_location">
                                        <option value="before" <?php selected($this->options['submit-location'], 'before'); ?>><?php _e('Before the Content', 'calendar-press'); ?></option>
                                        <option value="after" <?php selected($this->options['submit-location'], 'after'); ?>><?php _e('After the Content', 'calendar-press'); ?></option>
                                        <option value="replace" <?php selected($this->options['submit-location'], 'replace'); ?>><?php _e('Replace all Content with Form', 'calendar-press'); ?></option>
                                    </select>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_submit_title"><?php _e('User Submit Link Title', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="text" name="<?php echo $this->optionsName; ?>[submit-title]" id="calendar_press_submit_title" value="<?php echo $this->options['submit-title']; ?>" />
                                    <?php $this->help(__('Used in the widgets when adding a link to the submit form.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_new_event_status"><?php _e('Status for User Events', 'calendar-press'); ?></label></th>
                                <td>
                                    <select name="<?php echo $this->optionsName; ?>[new-event-status]" id="calendar_press_new_event_status">
                                        <option value="draft" <?php selected($this->options['new-event-status'], 'draft'); ?> ><?php _e('Draft', 'calendar-press'); ?></option>
                                        <option value="pending" <?php selected($this->options['new-event-status'], 'pending'); ?> ><?php _e('Pending Review', 'calendar-press'); ?></option>
                                        <option value="active" <?php selected($this->options['new-event-status'], 'active'); ?> ><?php _e('Published', 'calendar-press'); ?></option>
                                    </select>
                                    <?php $this->help(__('Select the default event status for new user submitted events.', 'calendar-press')); ?>
                                </td>
                            </tr>
                            <tr align="top">
                                <th scope="row"><label for="calendar_press_ingredients_fields"><?php _e('Number of ingredients fields on blank form', 'calendar-press'); ?></label></th>
                                <td>
                                    <input type="input" name="<?php echo $this->optionsName; ?>[ingredients-fields]" id="calendar_press_ingredients_fields" value="<?php echo $this->options['ingredients-fields']; ?>" />
                                    <?php $this->help(__('How many initial ingredients input lines to display on a blank form.', 'calendar-press')); ?>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>-->
        </div>
        <div  style="width:49%; float:right">
            <div class="postbox">
                <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                    <?php _e('Widget Settings', 'calendar-press'); ?>
                </h3>
                <table class="form-table">
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_widget_items"><?php _e('Default Items to Display', 'calendar-press'); ?></label></th>
                        <td>
                            <select name="<?php echo $this->optionsName; ?>[widget-items]" id="calendar_press_widget_items">
                                <?php
                                for ( $i = 1; $i <= 20; ++$i )
                                    echo "<option value='$i' " . selected($this->options['widget-items'], $i) . ">$i</option>";
                                ?>
                            </select>
                            <?php $this->help(__('Default for new widgets.', 'calendar-press')); ?>
                        </td>
                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_widget_type"><?php _e('Default List Widget Type', 'calendar-press'); ?></label></th>
                        <td>
                            <select name="<?php echo $this->optionsName; ?>[widget-type]" id="calendar_press_widget_type">
                                <option value="newest" <?php selected($this->options['widget-type'], 'newest'); ?> ><?php _e('Newest Events', 'calendar-press'); ?></option>
                                <option value="random" <?php selected($this->options['widget-type'], 'random'); ?> ><?php _e('Random Events', 'calendar-press'); ?></option>
                                <option value="popular" <?php selected($this->options['widget-type'], 'popular'); ?> ><?php _e('Most Popular', 'calendar-press'); ?></option>
                                <option value="featured" <?php selected($this->options['widget-type'], 'featured'); ?> ><?php _e('Featured', 'calendar-press'); ?></option>
                                <option value="updated" <?php selected($this->options['widget-type'], 'updated'); ?> ><?php _e('Redently Updated', 'calendar-press'); ?></option>
                            </select>
                            <?php $this->help(__('Default link target when adding a new widget.', 'calendar-press')); ?>
                        </td>
                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_widget_sort"><?php _e('Default List Widget Sort', 'calendar-press'); ?></label></th>
                        <td>
                            <select name="<?php echo $this->optionsName; ?>[widget-sort]" id="calendar_press_widget_sort">
                                <option value="asc" <?php selected($this->options['widget-sort'], 'asc'); ?> ><?php _e('Ascending', 'calendar-press'); ?></option>
                                <option value="desc" <?php selected($this->options['widget-sort'], 'desc'); ?> ><?php _e('Descending', 'calendar-press'); ?></option>
                            </select>
                            <?php $this->help(__('Default link target when adding a new widget.', 'calendar-press')); ?>
                        </td>
                    </tr>

                    <tr align="top">
                        <th scope="row"><label for="calendar_press_widget_target"><?php _e('Default Link Target', 'calendar-press'); ?></label></th>
                        <td>
                            <select name="<?php echo $this->optionsName; ?>[widget-target]" id="calendar_press_widget_target">
                                <option value="0">None</option>
                                <option value="_blank" <?php selected($this->widgetTarget, '_blank') ; ?>>New Window</option>
                                <option value="_top" <?php selected($this->widgetTarget, '_top'); ?>>Top Window</option>
                            </select>
                            <?php $this->help(__('Default link target when adding a new widget.', 'calendar-press')); ?>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="calendar_press_widget_show_icon"><?php _e('Show Icons?', 'calendar-press'); ?></label></th>
                        <td>
                            <input type="checkbox" name="<?php echo $this->optionsName; ?>[widget-show-icon]" id="calendar_press_widget_show_icon" value="1" <?php checked($this->options['widget-show-icon'], 1); ?> />
                            <?php $this->help(__('Check this option to show icons in widgets by default, can be turned of individually in each widget instance.', 'calendar-press')); ?>
                        </td>

                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_widget_icon_size"><?php _e('Widget Icon Size', 'calendar-press'); ?></label></th>
                        <td>
                            <input type="input" name="<?php echo $this->optionsName; ?>[widget-icon-size]" id="calendar_press_widget_icon_size" value="<?php echo $this->options['widget-icon-size']; ?>" />
                            <?php $this->help(__('Default icon size for widgets, can be changed in each widget instance.', 'calendar-press')); ?>
                        </td>
                    </tr>

                </table>
            </div>
            <div class="postbox">
                <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                    <?php _e('Management Settings', 'calendar-press'); ?>
                </h3>
                <div class="table">
                    <table class="form-table">

                        <?php if ($this->options['use-categories']) : ?>
                        <tr align="top">
                            <th scope="row"><label for="calendar_press_default_category"><?php _e('Default Category', 'calendar-press'); ?></label></th>
                            <td>                                    
                                    <?php wp_dropdown_categories(array('hierarchical'=>true, 'taxonomy'=>'event-categories', 'show_option_none' => 'No Default', 'hide_empty'=> false, 'name'=> $this->optionsName .'[default-category]', 'id' => 'calendar_press_default_category', 'orderby'=>'name', 'selected'=>$this->options['default-category']) ); ?>
                                    <?php $this->help(__('Default category for adding events. Also, when deleting a category, all affected events will be moved to this category.', 'calendar-press')); ?>
                            </td>
                        </tr>
                        <?php endif; ?>

                        <tr align="top">
                            <th scope="row"><label for="calendar_press_delete_data"><?php _e('Remove Data on Deactivate?', 'calendar-press'); ?></label></th>
                            <td>
                                <input type="checkbox" name="<?php echo $this->optionsName; ?>[delete-data]" id="calendar_press_delete_data" value="1"
                                       onclick="if (this.checked) this.checked=confirm('<?php echo esc_js(__('Warning: If you deactivate the plugin while this option is checked, all data and options will be removed from the database. Make sure you backup your data before you deactivate the plugin as there is no way to recover from this operation. Are you sure you want to do this?', 'calendar-press')); ?>')"
                                       <?php checked($this->options['delete-data'], 1); ?>
                                       />
                                       <?php $this->help(__('By checking this box, all data and options will be removed when the plugin is deactivated.', 'calendar-press')); ?>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <!--
            <div class="postbox">
                <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
                    <?php _e('reCaptcha Settings', 'calendar-press'); ?>
                </h3>
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <?php _e('To use reCaptcha on the public form, enter your public and private keys here.', 'calendar-press'); ?>
                            <a href="<?php echo recaptcha_get_signup_url(eregi_replace('http://', '', get_option('siteurl')), 'Event Press for WordPress'); ?>" target="_blank"><?php _e('Get Keys', 'calendar-press'); ?></a>
                        </td>
                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_force_recaptcha"><?php _e('Force for All Users?', 'calendar-press'); ?></label></th>
                        <td>
                            <input type="checkbox" name="<?php echo $this->optionsName; ?>[force-recaptcha]" id="calendar_press_force_recaptcha" value="1" <?php checked($this->options['force-recaptcha'], 1); ?> />
                            <?php $this->help(__('If checked, logged in users will see the reCaptcha.', 'calendar-press')); ?>
                        </td>
                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_recaptcha_public"><?php _e('Public Key', 'calendar-press'); ?></label></th>
                        <td><input type="text" name="<?php echo $this->optionsName; ?>[recaptcha-public]" id="calendar_press_recaptcha_public" value="<?php echo $this->options['recaptcha-public']; ?>" /></td>
                    </tr>
                    <tr align="top">
                        <th scope="row"><label for="calendar_press_recaptcha_private"><?php _e('Private Key', 'calendar-press'); ?></label></th>
                        <td><input type="text" name="<?php echo $this->optionsName; ?>[recaptcha-private]" id="calendar_press_recaptcha_private" value="<?php echo $this->options['recaptcha-private']; ?>" /></td>
                    </tr>
                </table>
            </div>
            -->
        </div>
        <div style="clear: both;">
            <p class="submit" align="center">
                <input type="hidden" name="action" value="update" />
                <?php if (function_exists('wpmu_create_blog')) : ?>
                <input type="hidden" name="option_page" value="<?php echo $this->optionsName; ?>" />
                <?php  else : ?>
                <input type="hidden" name="page_options" value="<?php echo $this->optionsName; ?>" />
                <?php endif; ?>
                <input type="submit" name="Submit" value="<?php _e('Save Settings', 'calendar-press'); ?>" />
            </p>
        </div>
    </form>

    <?php require_once('footer.php'); ?>
</div>
