<?php if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }

/**
 * template_tags.php - Additinal template tags for Calendar Press
 *
 * @package Calendar Press
 * @subpackage includes
 * @author GrandSlambert
 * @copyright 2009-2010
 * @access public
 */

function cp_get_date_form($post = NULL, $field = 'begin', $type = 'date') {
    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }

    $date = get_post_meta($post->ID, '_' . $field . '_' . $type . '_value', true);

    if (!$date) {
        $date = time();
    }

    switch ($type) {
        case 'time':
            $output = '<input class="cp-' . $type . '-form" type="text" id="' . $field . ucfirst($type) . '" name="event_dates['. $field . '_' . $type . ']" value="' . date('g', $date) . '" style="width:25px" /> : ';
            $output.= '<input class="cp-' . $type . '-form" type="text" id="' . $field . ucfirst($type) . '" name="'. $field . '_' . $type . '_minutes" value="' . date('i', $date) . '" style="width:25px" />';
            break;
        default:
            $output = '<input class="cp-' . $type . '-form" type="text" id="' . $field . ucfirst($type) . '" name="event_dates['. $field . '_' . $type . ']" value="' . date('m/d/Y', $date) . '" style="width:100px" />';
            break;
    }

    return $output;
}

function cp_date_form($post = NULL, $field = 'begin', $type = 'date') {
    print cp_get_date_form($post, $field, $type);
}

function cp_get_meridiem($post = NULL, $field = 'begin', $type = 'am') {
    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }

    $date = get_post_meta($post->ID, '_' . $field . '_time_value', true);

    if ($date <= 0) {
        $date = date("U");
    }

    if (
    (date('G', $date) < 12 and $type == 'am')
        or (date('G', $date) > 12 and $type == 'pm')
    ) {
        print ' selected="selected"';
    }
}

function cp_meridiem($post = NULL, $field = 'begin', $type = 'am') {
    print cp_get_meridiem($post, $field, $type);
}

function cp_get_calendar($month = NULL, $year = NULL) {
    global $calendarPressOBJ;

    if (!$month) {
        $month = date('m', strtotime($calendarPressOBJ->currDate));
    }

    if (!$year) {
        $year = date('Y', strtotime($calendarPressOBJ->currDate));
    }

    $day = date('d');
    $firstDay = date('w', strtotime("$year-$month-1"));
    $totalDays = date('t', strtotime("$year-$month-1"));

    $days = 0;
    $output.= '<div id="calendar"><dl class="cp-boxes">';
    for ($ctr = 1-$firstDay; $ctr <= $totalDays; ++$ctr) {
        $output.= '<dd class="cp-month-box ';
        ++$days;

        if ($days > 7 ) {
            $output.= ' cp-break';
            $days = 1;
        }

        if ($ctr < 1) {
            $output.= ' cp-empty-day';
        }

        if ($ctr == $day and $month == date('m') and $year == date('Y') ) {
            $output.= ' cp-active-day';
        }

        $output.= '">';

        if ($ctr > 0 and $ctr <= $totalDays) {
            $output.= '<span class="cp-month-numeral">'. $ctr . '</span>';
            $output.= '<span class="cp-month-contents">' . cp_get_daily_events($month, $ctr, $year) . '</span>';
        }

        $output.= '</dd>';

    }

    for ($ctr = $days; $ctr < 7; ++$ctr) {
        $output.= '<dd class="cp-month-box cp-empty-day"></dd>';
    }
    $output.= '</dl></div>';

    return $output;
}

function cp_calendar($month = NULL, $year = NULL) {
    print cp_get_calendar($month, $year);
}

function cp_get_daily_events($month = NULL, $day = NULL, $year = NULL) {
    $events = get_posts(
        array(
        'post_type'     => 'events',
        'meta_key'      => '_begin_date_value',
        'meta_value'    => strtotime("$year-$month-$day"),
        )
    );

    if (count($events) <= 0) {
        return;
    }

    foreach ($events as $event) {
        $output.= '<span class="event-title-month" ';

        if (get_post_meta($event->ID, '_event_popup_value',true) ) {
            $output.= 'onmouseover="return overlib(\'' . esc_js(cp_get_popup($event)) . '\');" onmouseout="return nd();" ';
        }

        $output.= '><a href="' . get_permalink($event->ID) . '">' . $event->post_title . '</a></span>';
    }

    return $output;
}

function cp_daily_events($month = NULL, $day = NULL, $year = NULL) {
    print cp_get_daily_events($month, $day, $year);
}

function cp_get_popup($event) {
    global $calendarPressOBJ;

    ob_start();
    include ($calendarPressOBJ->getTemplate('popup-box'));
    $output = ob_get_contents();
    ob_end_clean();

    return $output;
}

function get_the_event_dates($attrs = array(), $post = NULL) {
    global $calendarPressOBJ;

    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }
    
    $defaults = array(
        'date_format'   => get_option('date_format'),
        'time_format'   => get_option('time_format'),
        'prefix'        => __('When: ', 'calendar-press'),
        'before_time'   => __(' from ', 'calendar-press'),
        'after_time'    => '',
        'between_time'  => __(' to ', 'calendar-press'),
        'after_end_date'=> __(' at ', 'calendar-press'),
    );

    extract( wp_parse_args($attrs, $defaults) );

    $startDate  = get_post_meta($post->ID, '_begin_date_value', true);
    $startTime  = get_post_meta($post->ID, '_begin_time_value', true);
    $endDate    = get_post_meta($post->ID, '_end_date_value', true);
    $endTime    = get_post_meta($post->ID, '_end_time_value', true);

    $output = $prefix . date($date_format, $startDate);

    if ($startDate == $endDate) {
        $output.= $before_time . date($time_format, $startTime) . $between_time . date($time_format, $endTime) . $after_time;
    } else {
        $output.= $before_time . date($time_format, $startTime) . $between_time . date ($date_format, $endDate) . $after_end_date . date($time_format, $endTime) . $after_time;
    }

    return $output;
}

function the_event_dates($attrs = array(), $post = NULL) {
    print get_the_event_dates($attrs, $post);
}

function get_the_event_category($attrs = array(), $post = NULL) {
    global $calendarPressOBJ;

    if (!$calendarPressOBJ->options['use-categories']) {
        return false;
    }

    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }

    if ( is_null($args['prefix'] ) ) {
        $args['prefix'] = __('Posted In: ', 'recipe_press', 'recipe-press');
    }

    if (is_null($args['divider'] ) ) {
        $args['divider'] = ', ';
    }

    if (wp_get_object_terms($post->ID, 'event-categories')) {
        $cats = $args['prefix'] . get_the_term_list($post->ID, 'event-categories', $args['before-category'], $args['divider'] , $args['after-category']) . $args['suffix'];
        return $cats;
    }
}

function the_event_category($attrs = array(), $post = NULL) {
    print get_the_event_category($attrs, $post);
}

function get_event_button($type = 'signups', $post = NULL, $attrs = array()) {
    global $calendarPressOBJ, $wpdb, $current_user;
    get_currentuserinfo();

    if (!is_user_logged_in()) {
        if ($type == 'signups') {
            return sprintf(__('You must be %1$s to register', 'calendar-press'), '<a href="' . wp_login_url( get_permalink() ) . '">' . __('logged in', 'calendar-press') . '</a>');
        } else {
            return;
        }
    }

    if (!$calendarPressOBJ->options['use-' . $type]) {
        return false;
    }

    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }

    $signups = get_user_meta($current_user->ID, '_event_signups', true);
    $overflow = get_user_meta($current_user->ID, '_event_overflow', true);

    if (!is_array($signups)) {
        $signups = array($signups);
    }

    if (!is_array($overflow)) {
        $overflow = array($overflow);
    }

    if (in_array($post->ID, $signups) or in_array($post->ID, $overflow)) {
        $registered = true;
    } else {
        $registered = false;
    }

    $buttonText = $calendarPressOBJ->options[$type . '-title'];
    $available = get_post_meta($post->ID, '_event_' . $type . '_value', true);
    $registrations = $wpdb->get_results('select * from `' . $wpdb->prefix . 'usermeta` where `meta_key` = "_event_' . $type . '"');
    foreach ($registrations as $registration) {
        if (in_array($post->ID, unserialize($registration->meta_value))) {
            ++$used;
        }
    }
    $remaining = $available - $used;

    if ($registered and in_array($post->ID, $$type)) {
        $addButtonText = __(' - Cancel Registration' , 'calendar-press');
        $clickEvent = 'onClickCancel(\'' . $type . '\', ' . $post->ID . ')';
    } elseif ( $remaining > 0 and !in_array($post->ID, $$type)) {
        if ($registered) {
            $addButtonText = sprintf(__('- Move (%1$s of %2$s Available)'), $remaining, $available);
            $clickEvent = 'onClickMove(\'' . $type . '\', ' . $post->ID . ')';
        } else {
            $addButtonText = sprintf(__(' (%1$s of %2$s Available)'), $remaining, $available);
            $clickEvent = 'onClickRegister(\'' . $type . '\', ' . $post->ID . ')';
        }
    } else {
        $addButtonText = __(' Full');
        $clickEvent = 'onClickWaiting(' . $post->ID . ')';
    }

    $buttonText.= $addButtonText;

    return '<input id="button_' . $type . '" type="button" value="' . $buttonText . '" onclick="' . $clickEvent . '">';
}

function the_event_signup_button($post = NULL, $attrs = array()) {
    print get_event_button('signups', $post, $attrs);
}

function the_event_overflow_button($post = NULL, $attrs = array()) {
    print get_event_button('overflow', $post, $attrs);
}

function get_event_month_link($date) {
    global $calendarPressOBJ;
    $link = get_permalink($calendarPressOBJ->options['calendar-page']);
    $month = date('m', strtotime($date));
    $year = date('Y', strtotime($date));
    $text = date('F, Y', strtotime($date));
    return '<a href="' . $link  . '?viewmonth=' . $month. '&viewyear=' . $year . '">' . $text . '</a>';
}

function get_event_last_month() {
    global $calendarPressOBJ;
    return get_event_month_link($calendarPressOBJ->lastMonth);
}

function the_event_last_month() {
    print get_event_last_month();
}

function get_event_this_month() {
    global $calendarPressOBJ;
    return date('F, Y', strtotime($calendarPressOBJ->currDate));
}

function the_event_this_month() {
    print get_event_this_month();
}

function get_event_next_month() {
    global $calendarPressOBJ;
    return get_event_month_link($calendarPressOBJ->nextMonth);
}

function the_event_next_month() {
    print get_event_next_month();
}

function get_event_signups($attrs = array(), $post = NULL) {
    global $wpdb,$calendarPressOBJ;

    if (is_int($post)) {
        $post = get_post($post);
    } elseif (!is_object($post)) {
        global $post;
    }

    extract(shortcode_atts(array(
        'type' => 'signups',
        'divider' => ', ',
        ), $attrs)
    );

    $signups = $wpdb->get_results('select * from `' . $wpdb->prefix . 'usermeta` where `meta_key` = "_event_' . $type . '"');

    $field = $calendarPressOBJ->options['user-display-field'];

    foreach ($signups as $signup) {
        if (in_array($post->ID, unserialize($signup->meta_value))) {
            $user = get_userdata($signup->user_id);

            if ($field == 'full_name' and ($user->first_name or $user->last_name)) {
                $username = $user->first_name . ' ' . $user->last_name;
            } elseif ($field != 'display_name' and $user->$field) {
                $username = $user->$field;
            } else {
                $username = $user->display_name;
            }

            $output.= $prefix . $username;
            $prefix = $divider;
        }
    }

    return $output;
}

function the_event_signups($attrs = array(), $post = NULL) {
    $attrs['type'] = 'signups';
    print get_event_signups($attrs, $post);
}

function the_event_overflow($attrs = array(), $post = NULL) {
    $attrs['type'] = 'overflow';
    print get_event_signups($attrs, $post);
}

function get_signup_title() {
    global $calendarPressOBJ;
    return $calendarPressOBJ->options['signups-title'];
}

function the_signup_title() {
    print get_signup_title();
}

function get_overflow_title() {
    global $calendarPressOBJ;
    return $calendarPressOBJ->options['overflow-title'];
}

function the_overflow_title() {
    print get_overflow_title();
}
